# CartographicGeocoderService

#### new Cesium.CartographicGeocoderService()
engine/Source/Core/CartographicGeocoderService.js 11

Geocodes queries containing longitude and latitude coordinates and an optional height. Query format: `longitude latitude (height)` with longitude/latitude in degrees and height in meters.

### Members

#### readonly credit : Credit|undefined
engine/Source/Core/CartographicGeocoderService.js 21

Gets the credit to display after a geocode is performed. Typically this is used to credit the geocoder service.

### Methods

#### geocode(query) → Promise.<Array.<GeocoderService.Result>>
engine/Source/Core/CartographicGeocoderService.js 34

Name | Type | Description
--- | --- | ---
`query` | string | The query to be sent to the geocoder service

##### Returns:

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.